package erp

type BusinessType = string // 业务类型
const (
	BusinessTypeSaleAudit     BusinessType = "saleAudit"     // 销售合同审核
	BusinessTypePurchaseAudit BusinessType = "purchaseAudit" // 销售合同审核
)

var BusinessTypeName = map[BusinessType]string{
	BusinessTypeSaleAudit:     "销售合同审核",
	BusinessTypePurchaseAudit: "采购合同审核",
}

type AuditStatus = int64 // 审核状态
const (
	AuditStatusNone   AuditStatus = 1 // 待提交
	AuditStatusIng    AuditStatus = 2 // 审核中
	AuditStatusAdopt  AuditStatus = 3 // 审核通过
	AuditStatusReject AuditStatus = 4 // 审核驳回
)

type IsOpen = int64 // 开启状态
const (
	IsOpenTrue  IsOpen = 1 // 开启
	IsOpenFalse IsOpen = 2 // 关闭
)

type ExportType = string // 导出类型

const (
	ExportTypeSalePi = "salePi" // 销售pi导出
)
